# Webhooks

Webhooks let you subscribe to real-time events in Cakewalk and trigger external workflows.

### Setup

To register a webhook, you need to provide:

* Target URL
* Events to subscribe to
* Secret for HMAC verification

<table><thead><tr><th>Event</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>action_task.actionable
</code></pre></td><td>This event is triggered when the action step of the request needs to be executed. e.g. "all the review steps are completed and the task to do the provisioning is ready to be done"</td></tr></tbody></table>

#### Example out put for: `action_task.actionable`&#x20;

```json
{
  "eventType" : "action_task.actionable",
  "data" : {
    "taskId" : "7ac60a4b-4b4d-4fc1-988c-f95254591f06",
    "assignedTo" : [ ],
    "requestMetadata" : {
      "reviewedBy" : [ {
        "id" : "c1b264ce-29bf-47f3-973a-e0f0187e430f",
        "email" : "superadmin@getcakewalk.io",
        "fullName" : "superadmin"
      } ],
      "requestType" : "GrantAccessRequest",
      "requestedBy" : {
        "id" : "c1b264ce-29bf-47f3-973a-e0f0187e430f",
        "email" : "superadmin@getcakewalk.io",
        "fullName" : "superadmin"
      },
      "targetWorkApp" : {
        "id" : "b95160f2-1eec-4cf0-8f49-bb4f29936f5d",
        "name" : "Google Workspace"
      },
      "permissionLevel" : null,
      "targetUser" : {
        "id" : "1934ea57-962f-41de-bf2c-ba2c288e7f68",
        "email" : "admin@getcakewalk.io",
        "fullName" : "admin"
      }
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getcakewalk.io/~/changes/54/open-api/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
